{#MG Modification Début 20200128#}
{#{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidSeance }}</div>
{% endblock %}



{% block formulaire %}#}
{#    {{dump(poForm)}}#}
    {# Génération du label. #}
   {# {% if poForm.tdebut is defined %}
        <div class="form-group">
            {{ form_label(poForm.tdebut, "De ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.tdebut, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}#}

    {# Génération du label. #}
    {#{% if poForm.tfin is defined %}
        <div class="form-group">
            {{ form_label(poForm.tfin, "à ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.tfin, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}#}

{# Génération du label. #}
    {#{% if poForm.mcommentaire is defined %}
        <div class="form-group">
            {{ form_label(poForm.mcommentaire, "Remarque ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
            
    {% endif %}#}
    {# Génération du label. #}
    {#{% if poForm.mintervenants is defined %}
        <div class="form-group">
            {{ form_label(poForm.mintervenants, "Intervenant ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 col-lg-2 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.mintervenants, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}#}

    {#
        {% if poForm.llblauto is defined %}
            <div class="form-group">
                {{ form_label(poForm.llblauto, "llblauto :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.llblauto, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.mlibelle is defined %}
            <div class="form-group">
                {{ form_label(poForm.mlibelle, "mlibelle :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.mlibelle, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.ltousplans is defined %}
            <div class="form-group">
                {{ form_label(poForm.ltousplans, "ltousplans :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.ltousplans, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.tmaj is defined %}
            <div class="form-group">
                {{ form_label(poForm.tmaj, "tmaj :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.tmaj, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.tconflit is defined %}
            <div class="form-group">
                {{ form_label(poForm.tconflit, "tconflit :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.tconflit, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.linclutpause is defined %}
            <div class="form-group">
                {{ form_label(poForm.linclutpause, "linclutpause :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.linclutpause, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.mlstdates is defined %}
            <div class="form-group">
                {{ form_label(poForm.mlstdates, "mlstdates :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.mlstdates, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>       
        {% endif %}
    
        {% if poForm.llibre1 is defined %}
            <div class="form-group">
                {{ form_label(poForm.llibre1, "llibre1 :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.llibre1, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.llibre2 is defined %}
            <div class="form-group">
                {{ form_label(poForm.llibre2, "llibre2 :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.llibre2, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.iacti is defined %}
            <div class="form-group">
                {{ form_label(poForm.iacti, "iacti :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.iacti, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.iserie is defined %}
            <div class="form-group">
                {{ form_label(poForm.iserie, "iserie :", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
    
                <div class="col-sm-10">
                    {{ form_widget(poForm.iserie, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    #}
{#{% endblock %}#}

{% extends "@Paa/Default/entityFormBaseOnglets.html.twig" %}

{% block onglets %}
	{#Ici les onglets dans le cadre de l'exemple des caisses#}
	{#1. définition des onglets#}
{# MG Modification 20200210 Début #}
	{#<ul class="nav nav-tabs">
		<li class="{{ (psOngletActif == "OngletSéance")?'active':'' }}">
			<a class="boutonOnglet" id="OngletSéance" href="#formulaire_OngletSéance" data-toggle="tab" style="height:30px; padding:5px 15px;">
				Séance
			</a>
		</li>
		<li class="{{ (psOngletActif == "OngletParticipants")?'active':'' }}">
			<a class="boutonOnglet" id="OngletParticipants" href="#formulaire_OngletParticipants" data-toggle="tab" style="height:30px; padding:5px 15px;">
				Participants
			</a>
		</li>
                <li class="{{ (psOngletActif == "OngletSérie")?'active':'' }}">
			<a class="boutonOnglet" id="OngletSérie" href="#formulaire_OngletSérie" data-toggle="tab" style="height:30px; padding:5px 15px;">
				Séances: graphique
			</a>
		</li>
	</ul>#}
        <ul id="ongletActifSeance" class="nav nav-tabs col-sm-12">
            <li class="nav-item bg-onglet rounded-top border border-light {{ (psOngletActif == "OngletSéance")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletSéance" href="#formulaire_OngletSéance" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Séance
                </a>
            </li>
{#            <li class="{{ (psOngletActif == "OngletParticipants")?'active':'' }}">#}
            <li class="nav-item bg-onglet rounded-top border border-light {{ (psOngletActif|slice(0, 18) == "OngletParticipants")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletParticipants" href="#formulaire_OngletParticipants" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Participants
                </a>
            </li>
{#En attente de réactivation#}
            <li class="nav-item bg-onglet rounded-top border border-light {{ (psOngletActif== "OngletSérie")?'active show':'' }}">
                <a class="boutonOnglet nav-link color-txt-onglet" id="OngletSérie" href="#formulaire_OngletSérie" data-toggle="tab" style="height:30px; padding:5px 15px;">
                    Série
                </a>
            </li>
{#En attente de réactivation#}
{#            {{psOngletActif}}#}
    </ul>
{# MG Modification 20200210 Fin #}

	{#2. contenus des onglets#}
	{#<div class="tab-content">
                <div id="formulaire_OngletLibellé" class="tab-pane fade {{ (psOngletActif == "OngletSéance")?'in active':'' }}">
                {% if psOngletActif == "OngletSéance" %}
                    {% include '@Paa/form/seance_onglet_seance.html.twig' %}
                {% endif %}
                </div>
                
		<div id="formulaire_OngletGénéral" class="tab-pane fade {{ (psOngletActif == "OngletParticipants")?'in active':'' }}">
                {% if psOngletActif == "OngletParticipants" %}
                    {% include '@Paa/form/seance_onglet_particpants.html.twig' %}
 		{% endif %}
                </div>

                <div id="formulaire_OngletSeanceGraphique" class="tab-pane fade {{ (psOngletActif == "OngletSérie")?'in active':'' }}">
                {% if psOngletActif == "OngletSérie" %}
                    {% include '@Paa/form/seance_onglet_Série.html.twig' %}
 		{% endif %}	
 		</div>
        </div>#}
        <div class="tab-content">

            <div id="formulaire_OngletSéance" class="tab-pane fade bg-white shadow rounded p-2 {{ (psOngletActif == "OngletSéance")?'in active show':'' }}">
                {% if psOngletActif == "OngletSéance" %}
                    {% include '@Paa/form/seance_onglet_seance.html.twig' %}
                {% endif %}
{#                            {% include '@Paa/form/seance_onglet_seance.html.twig' %}#}
            </div>
            <div id="formulaire_OngletParticipants" class="tab-pane fade bg-white shadow rounded {{ (psOngletActif|slice(0, 18) == "OngletParticipants")?'in active show':'' }}">
{#                {% if psOngletActif == "OngletParticipants" %}#}
                {% if psOngletActif|slice(0, 18) == "OngletParticipants" %}
                    {% include '@Paa/form/seance_Onglet_participant.html.twig' %}
                {% endif %}
{#                {% include '@Paa/form/seance_onglet_participants.html.twig' %}#}
            </div>
{#En attente de réactivation#}
            <div id="formulaire_OngletSérie" class="tab-pane fade bg-white shadow rounded {{ (psOngletActif == "OngletSérie")?'in active show':'' }}">
                {% if psOngletActif == "OngletSérie" %}
                    {% include '@Paa/form/seance_onglet_Série.html.twig' with {'psType_Res': 'S', 'psNomType_Res': 'Série', 'poListeRes': ''}%}
                {% endif %}
{#                {% include '@Paa/form/seance_onglet_Série.html.twig' %}#}
            </div> 
{#En attente de réactivation#}
		</div>
{% endblock %}
{#MG Modification Début 20200128#}
